ServerEvents.recipes(event => {

event.recipes.botanypots.soil(
        'mob_grinding_utils:delightful_dirt',
        { block: 'mob_grinding_utils:delightful_dirt' },
        ['farmland','dirt','sand','plua'], 
        -1,
        2 
    )

event.recipes.botanypots.soil(
        'mob_grinding_utils:dreadful_dirt',
        { block: 'mob_grinding_utils:dreadful_dirt' },
        ['mushroom','soul_sand','nether','plum','netherrack'], 
        -1,
        2 
    )

 event.recipes.botanypots.crop(
 'plushies:salmon_plushie',
['pluw'],
{ block: 'plushies:salmon_plushie' },[
Item.of('minecraft:salmon')
.withChance(1)
.withRolls(1),
Item.of('minecraft:bone_meal')
.withChance(0.05)
],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:cod_plushie',
['pluw'],
{ block: 'plushies:cod_plushie' },[
Item.of('minecraft:cod')
.withChance(1)
.withRolls(1),
Item.of('minecraft:bone_meal')
.withChance(0.05)
],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:pufferfish_plushie',
['pluw'],
{ block: 'plushies:pufferfish_plushie' },[
Item.of('minecraft:pufferfish')
.withChance(1)
.withRolls(1),
Item.of('minecraft:bone_meal')
.withChance(0.05)
],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:squid_plushie',
['pluw'],
{ block: 'plushies:squid_plushie' },[
Item.of('minecraft:ink_sac')
.withChance(1)
.withRolls(1,3)
],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:glow_squid_plushie',
['pluw'],
{ block: 'plushies:glow_squid_plushie' },[
Item.of('minecraft:glow_ink_sac')
.withChance(1)
.withRolls(1,3)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:axolotl_plushie',
['pluw'],
{ block: 'plushies:axolotl_plushie' },[
Item.of('minecraft:tropical_fish')
.withChance(1)
.withRolls(0,1)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:zombie_plushie',
['plum'],
{ block: 'plushies:zombie_plushie' },[
Item.of('minecraft:rotten_flesh')
.withChance(1)
.withRolls(0,2),
Item.of('minecraft:iron_ingot')
.withChance(0.025),
Item.of('minecraft:carrot')
.withChance(0.025),
Item.of('minecraft:potato')
.withChance(0.025)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:cow_plushie',
['plua'],
{ block: 'plushies:cow_plushie' },[
Item.of('minecraft:beef')
.withChance(1)
.withRolls(1,3),
Item.of('minecraft:leather')
.withChance(1)
.withRolls(0,2)],
1000,
1
)

 event.recipes.botanypots.crop(
 'minecraft:water_bucket',
['stonesu'],
{ block: 'minecraft:cobblestone' },[
Item.of('minecraft:cobblestone')
.withChance(1)
.withRolls(1,2)],
100,
1
)

 event.recipes.botanypots.crop(
 'plushies:panda_plushie',
['plua'],
{ block: 'plushies:panda_plushie' },[
Item.of('minecraft:bamboo')
.withChance(1)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:sheep_plushie',
['plua'],
{ block: 'plushies:sheep_plushie' },[
Item.of('minecraft:mutton')
.withChance(1)
.withRolls(1,2),
Item.of('minecraft:white_wool')
.withChance(1)
.withRolls(1)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:pig_plushie',
['plua'],
{ block: 'plushies:pig_plushie' },[
Item.of('minecraft:porkchop')
.withChance(1)
.withRolls(1,3)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:bee_plushie',
['plua'],
{ block: 'plushies:bee_plushie' },[
Item.of('minecraft:honeycomb')
.withChance(0.5)
.withRolls(1),
Item.of('minecraft:honey_bottle')
.withChance(0.25)
.withRolls(1)],
1500,
1
)

 event.recipes.botanypots.crop(
 'plushies:chicken_plushie',
['plua'],
{ block: 'plushies:chicken_plushie' },[
Item.of('minecraft:feather')
.withChance(1)
.withRolls(0,2),
Item.of('minecraft:chicken')
.withChance(1)
.withRolls(1),
Item.of('minecraft:egg')
.withChance(0.10)
.withRolls(1)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:snow_golem_plushie',
['plua'],
{ block: 'plushies:snow_golem_plushie' },[
Item.of('minecraft:snowball')
.withChance(1)
.withRolls(0,2)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:sniffer_plushie',
['plua'],
{ block: 'plushies:sniffer_plushie' },[
Item.of('minecraft:torchflower_seeds')
.withChance(0.01)
.withRolls(1),
Item.of('minecraft:pitcher_pod')
.withChance(0.01)
.withRolls(1),
Item.of('quark:ancient_sapling')
.withChance(0.01)
.withRolls(1)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:brown_rabbit_plushie',
['plua'],
{ block: 'plushies:brown_rabbit_plushie' },[
Item.of('minecraft:rabbit_hide')
.withChance(1)
.withRolls(0,1),
Item.of('minecraft:rabbit')
.withChance(1)
.withRolls(1),
Item.of('minecraft:rabbit_foot')
.withChance(0.10)
.withRolls(1)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:iron_golem_plushie',
['plua'],
{ block: 'plushies:iron_golem_plushie' },[
Item.of('minecraft:iron_ingot')
.withChance(1)
.withRolls(3,5),
Item.of('minecraft:poppy')
.withChance(1)
.withRolls(0,2)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:frog_plushie',
['pluw'],
{ block: 'plushies:frog_plushie' },[
Item.of('minecraft:ochre_froglight')
.withChance(1)
.withRolls(1)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:warm_frog_plushie',
['pluw'],
{ block: 'plushies:warm_frog_plushie' },[
Item.of('minecraft:pearlescent_froglight')
.withChance(1)
.withRolls(1)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:cold_frog_plushie',
['pluw'],
{ block: 'plushies:cold_frog_plushie' },[
Item.of('minecraft:verdant_froglight')
.withChance(1)
.withRolls(1)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:turtle_plushie',
['pluw'],
{ block: 'plushies:turtle_plushie' },[
Item.of('minecraft:seagrass')
.withChance(1)
.withRolls(0,2),
Item.of('minecraft:scute')
.withChance(0.1)
.withRolls(1)],
1000,
1
)

 event.recipes.botanypots.crop(
 'plushies:guardian_plushie',
['pluw'],
{ block: 'plushies:guardian_plushie' },[
Item.of('minecraft:prismarine_shard')
.withChance(1)
.withRolls(0,2),
Item.of('minecraft:cod')
.withChance(0.4)
.withRolls(0,1),
Item.of('minecraft:prismarine_crystals')
.withChance(0.4)
.withRolls(0,1),
Item.of('minecraft:cod')
.withChance(0.6)
.withRolls(0,1),
Item.of('minecraft:salmon')
.withChance(0.25)
.withRolls(0,1),
Item.of('minecraft:tropical_fish')
.withChance(0.02)
.withRolls(0,1),
Item.of('minecraft:pufferfish')
.withChance(0.13)
.withRolls(0,1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:elder_guardian_plushie',
['pluw'],
{ block: 'plushies:elder_guardian_plushie' },[
Item.of('minecraft:prismarine_shard')
.withChance(1)
.withRolls(0,2),
Item.of('minecraft:cod')
.withChance(0.5)
.withRolls(0,1),
Item.of('minecraft:prismarine_crystals')
.withChance(0.33)
.withRolls(0,1),
Item.of('minecraft:wet_sponge')
.withChance(1)
.withRolls(1),
Item.of('minecraft:cod')
.withChance(0.6)
.withRolls(0,1),
Item.of('minecraft:salmon')
.withChance(0.25)
.withRolls(0,1),
Item.of('minecraft:tropical_fish')
.withChance(0.02)
.withRolls(0,1),
Item.of('minecraft:pufferfish')
.withChance(0.13)
.withRolls(0,1),
Item.of('minecraft:tide_armor_trim_smithing_template')
.withChance(0.2)
.withRolls(0,1),
Item.of('minecraft:heart_of_the_sea')
.withChance(0.01)
.withRolls(1)],
6000,
1
)

 event.recipes.botanypots.crop(
 'plushies:evoker_plushie',
['plum'],
{ block: 'plushies:evoker_plushie' },[
Item.of('minecraft:totem_of_undying')
.withChance(0.25)
.withRolls(0,1),
Item.of('minecraft:emerald')
.withChance(1)
.withRolls(1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:witch_plushie',
['plum'],
{ block: 'plushies:witch_plushie' },[
Item.of('minecraft:glowstone_dust')
.withChance(0.12)
.withRolls(0,2),
Item.of('minecraft:sugar')
.withChance(0.12)
.withRolls(0,2),
Item.of('minecraft:redstone')
.withChance(0.12)
.withRolls(0,2),
Item.of('minecraft:spider_eye')
.withChance(0.12)
.withRolls(0,2),
Item.of('minecraft:glass_bottle')
.withChance(0.12)
.withRolls(0,2),
Item.of('minecraft:gunpowder')
.withChance(0.12)
.withRolls(0,2),
Item.of('minecraft:stick')
.withChance(0.25)
.withRolls(0,2)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:creeper_plushie',
['plum'],
{ block: 'plushies:creeper_plushie' },[
Item.of('minecraft:gunpowder')
.withChance(1)
.withRolls(0,2)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:skeleton_plushie',
['plum'],
{ block: 'plushies:skeleton_plushie' },[
Item.of('minecraft:arrow')
.withChance(1)
.withRolls(0,2),
Item.of('minecraft:bone')
.withChance(1)
.withRolls(0,2)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:spider_plushie',
['plum'],
{ block: 'plushies:spider_plushie' },[
Item.of('minecraft:string')
.withChance(1)
.withRolls(0,2),
Item.of('minecraft:spider_eye')
.withChance(0.25)
.withRolls(0,1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:phantom_plushie',
['plum'],
{ block: 'plushies:phantom_plushie' },[
Item.of('minecraft:phantom_membrane')
.withChance(0.25)
.withRolls(0,1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:slime_plushie',
['plum'],
{ block: 'plushies:slime_plushie' },[
Item.of('minecraft:slime_ball')
.withChance(0.5)
.withRolls(0,2),
Item.of('minecraft:slime_ball')
.withChance(0.5)
.withRolls(1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:drowned_plushie',
['plum'],
{ block: 'plushies:drowned_plushie' },[
Item.of('minecraft:rotten_flesh')
.withChance(1)
.withRolls(0,2),
Item.of('minecraft:copper_ingot')
.withChance(0.11)
.withRolls(1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:wither_skeleton_plushie',
['plum'],
{ block: 'plushies:wither_skeleton_plushie' },[
Item.of('minecraft:coal')
.withChance(1)
.withRolls(0,1),
Item.of('minecraft:bone')
.withChance(1)
.withRolls(0,2),
Item.of('minecraft:wither_skeleton_skull')
.withChance(0.01)
.withRolls(1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:zombiefied_piglin_plushie',
['plum'],
{ block: 'plushies:zombiefied_piglin_plushie' },[
Item.of('minecraft:rotten_flesh')
.withChance(1)
.withRolls(0,1),
Item.of('minecraft:gold_nugget')
.withChance(1)
.withRolls(0,1),
Item.of('minecraft:gold_ingot')
.withChance(0.025)
.withRolls(1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:blaze_plushie',
['plum'],
{ block: 'plushies:blaze_plushie' },[
Item.of('minecraft:blaze_rod')
.withChance(1)
.withRolls(0,1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:ghast_plushie',
['plum'],
{ block: 'plushies:ghast_plushie' },[
Item.of('minecraft:ghast_tear')
.withChance(1)
.withRolls(0,1),
Item.of('minecraft:gunpowder')
.withChance(1)
.withRolls(0,2)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:magma_cube_plushie',
['plum'],
{ block: 'plushies:magma_cube_plushie' },[
Item.of('minecraft:magma_cream')
.withChance(0.25)
.withRolls(0,1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:enderman_plushie',
['plum'],
{ block: 'plushies:enderman_plushie' },[
Item.of('minecraft:ender_pearl')
.withChance(1)
.withRolls(0,1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:shulker_plushie',
['plum'],
{ block: 'plushies:shulker_plushie' },[
Item.of('minecraft:shulker_shell')
.withChance(0.5)
.withRolls(1)],
3000,
1
)

 event.recipes.botanypots.crop(
 'plushies:warden_plushie',
['plum'],
{ block: 'plushies:warden_plushie' },[
Item.of('minecraft:sculk_catalyst')
.withChance(1)
.withRolls(1),
Item.of('minecraft:echo_shard')
.withChance(0.01)
.withRolls(1)],
6000,
1
)

 event.recipes.botanypots.crop(
 'plushies:wither_plushie',
['plum'],
{ block: 'plushies:wither_plushie' },[
Item.of('minecraft:nether_star')
.withChance(0.01)
.withRolls(1)],
6000,
1
)

 event.recipes.botanypots.crop(
 'plushies:dragon_plushie',
['plum'],
{ block: 'plushies:dragon_plushie' },[
Item.of('minecraft:dragon_egg')
.withChance(0.01)
.withRolls(1),
Item.of('minecraft:dragon_head')
.withChance(0.01)
.withRolls(0,1)],
6000,
1
)

 event.recipes.botanypots.crop(
 'create:chocolate_bucket',
['stonesu'],
{ block: 'create:scoria' },[
Item.of('create:scoria')
.withChance(1)
.withRolls(1,2)],
100,
1
)

 event.recipes.botanypots.crop(
 '#forge:buckets/honey',
['stonesu'],
{ block: 'create:limestone' },[
Item.of('create:limestone')
.withChance(1)
.withRolls(1,2)],
100,
1
)

 event.recipes.botanypots.crop(
 'minecraft:red_sand',
['stonesu'],
{ block: 'minecraft:granite' },[
Item.of('minecraft:granite')
.withChance(0.5)
.withRolls(0,1)],
100,
1
)

 event.recipes.botanypots.crop(
 'minecraft:calcite',
['stonesu'],
{ block: 'minecraft:diorite' },[
Item.of('minecraft:diorite')
.withChance(0.5)
.withRolls(0,1)],
100,
1
)

 event.recipes.botanypots.crop(
 'minecraft:gravel',
['stonesu'],
{ block: 'minecraft:andesite' },[
Item.of('minecraft:andesite')
.withChance(0.5)
.withRolls(0,1)],
100,
1
)

 event.recipes.botanypots.crop(
 'create:cinder_flour',
['stonesu'],
{ block: 'minecraft:netherrack' },[
Item.of('minecraft:netherrack')
.withChance(0.5)
.withRolls(0,1)],
100,
1
)

 event.recipes.botanypots.crop(
 'minecraft:blue_ice',
['stonesu'],
{ block: 'minecraft:blackstone' },[
Item.of('minecraft:blackstone')
.withChance(1)
.withRolls(1,2)],
100,
1
)

 event.recipes.botanypots.crop(
 'minecraft:packed_ice',
['stonesu'],
{ block: 'minecraft:cobbled_deepslate' },[
Item.of('minecraft:cobbled_deepslate')
.withChance(1)
.withRolls(1,2)],
100,
1
)

event.recipes.botanypots.soil(
        'kubejs:hyper_dirt',
        { block: 'kubejs:hyper_dirt' },
        ['farmland','dirt','sand','plua','mushroom','soul_sand','nether','plum','netherrack'], 
        -1,
        8 
    )

event.recipes.botanypots.soil(
        'kubejs:hyper_sponge',
        { block: 'kubejs:hyper_sponge' },
        ['pluw','water'], 
        -1,
        8 
    )

})